Mai [![Gem Version](https://badge.fury.io/rb/mai.svg)](http://badge.fury.io/rb/mai)
=====================

Mai is a baseline CSS framework written in SASS. Its main purpose is to provide simplistic cross-browser normalization,
a responsive grid (which is currently a nearly-copy-paste of Foundation 3's grid) and some sane typographical defaults
at its core, while all other functionality will be made available as optional plugins/widgets.

In development (read: unusable)
=====================

It is currently in its **design** phase and therefore considered **unusable**. We have used its past iterations
internally for numerous projects but are in the process of restructuring it to be more modular and
extensible to make it somewhat compatible with either Foundation or Bootstrap (tbd).

You've been warned.

Installation
=====================

Mai is available as a Compass plugin.

Grab it with:

    gem install mai

Require it by adding the respective line to your Compass config (`config.rb` or whatever you use):

	require 'mai'

And install it as a Compass plugin (at the command line):

	compass install mai


This will yield a `master.sass` file in your configured sass_dir with an example and some documentation on how to import
Mai and its modules. An `index.html` file referencing the built `master.css` file (ie. with a preview of what the example
`master.sass` generates) will also be generated in your project's root directory.

Design principles
=====================

- Mobile first;
- End-user first, designer second (1kb of additional data per request, stretched over thousands/millions of requests is
a lot compared to forcing the designer to spend a few extra seconds to import only what's really needed);
- Provide the kitchen sink but hide it in a maze so that it's available only when absolutely required;
- Make it flexible, easy to configure and easy to override. When an !important is required within your final stylesheet
in order to override Mai, it means we suck;